Update metrics endpoint settings – Management API – MediaKind
Update metrics endpoint settings
Patch https://app.mk.io/api/v1/projects/:project_name/metricsEndpoint
See our Grafana dashboard documentation for details.
Enable the metrics endpoint for this project by setting spec.enabled to true.
RBAC Capability Required: mkio.metrics.update
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name string Required
Request
This endpoint expects an object.
- kind string Optional
The kind of record. - spec object MetricsSpecSchema Required
Specification.- enabled boolean Required
Is metrics enabled?
- enabled boolean Required
Response
200 OK
- kind string Optional
The kind of record. - spec object MetricsSpecSchema Required
Specification.- enabled boolean Required
Is metrics enabled?
- enabled boolean Required
- status object MetricsStatusSchema Optional
Status when spec.enabled is true.- password string Required
Password for metrics. - url string Required
URL for metrics. - username string Required
Username for metrics.
- password string Required
Errors
400 Bad Request
- error object ErrorDetail Required
Pertinent information about the error- code string Required
The error code. - detail string Required
The error message. - extraDetail map from strings to any Optional
Extra information regarding this error.- [any key] any
- ref string Required
A reference to the request that caused the error. - status integer Required
The HTTP status code
- code string Required